Simple experiment on how to create a BLE project with ESP32 with Arduino framework

Based on nkolban example https://github.com/nkolban/ESP32_BLE_Arduino/tree/master/examples/BLE_server

Updated to showcase callbacks and advertising requirements